com.verisign.epp.codec.nameWatch

## Class EPPNameWatchCreateResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.nameWatch.EPPNameWatchCreateResp

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPNameWatchCreateResp
      extends EPPResponse

  Represents an EPP NameWatch <nameWatch:creData> response to a `EPPNameWatchCreateCmd`. When a <crate> command has been processed successfully, the EPP <resData> element MUST contain a child <nameWatch:creData> element that identifies the NameWatch namespace and the location of the nameWatch schema. The <nameWatch:creData> element contains the following child elements:
  - A <nameWatch:name> element that contains the fully qualified nameWatch name that has been created or whose validity period has been extended. Use `getName` and `setName` to get and set the element.
  - A <nameWatch:roid> element that contains the roid of NameWatch object. Use `getRoid` and `setRoid` to get and set the element.
  - A <nameWatch.crDate> element that contains the date and time of NameWatch object creation. Use `getCreationDate` and `setCreationDate` to get and set the element.
  - An OPTIONAL <nameWatch:exDate> element that contains the end of the NameWatch's validity period. Use `getExpirationDate` and `setExpirationDate` to get and set the element.
  See Also:
    `EPPNameWatchCreateCmd`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPNameWatchCreateResp()` `EPPNameWatchCreateResp` default constructor.
    `EPPNameWatchCreateResp(EPPTransId aTransId, java.lang.String aName)` `EPPNameWatchCreateResp` constructor that takes the required attribute values as parameters.
    `EPPNameWatchCreateResp(EPPTransId aTransId, java.lang.String aName, java.lang.String aRoid, java.util.Date aCreationDate)` `EPPNameWatchCreateResp` constructor that takes the required attribute values as parameters.
    `EPPNameWatchCreateResp(EPPTransId aTransId, java.lang.String aName, java.lang.String aRoid, java.util.Date aCreationDate, java.util.Date aExpirationDate)` `EPPNameWatchCreateResp` constructor that takes the required attribute values as parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPNameWatchCreateResp`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPNameWatchCreateResp` attributes from the `aElement` DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPNameWatchCreateResp` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPNameWatchCreateResp` with this instance.
    `java.util.Date` | `getCreationDate()` Get creation date.
    `java.util.Date` | `getExpirationDate()` Gets the expiration date and time of the nameWatch.
    `java.lang.String` | `getName()` Gets the nameWatch name
    `java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPNameWatchCreateResp`.
    `java.lang.String` | `getRoid()` Gets the nameWatch roid
    `java.lang.String` | `getType()` Gets the EPP command type associated with `EPPNameWatchCreateResp`.
    `void` | `setCreationDate(java.util.Date newCrDate)` Set creation date.
    `void` | `setExpirationDate(java.util.Date aExpirationDate)` Sets the expiration date and time of the nameWatch.
    `void` | `setName(java.lang.String aName)` Sets the nameWatch name.
    `void` | `setRoid(java.lang.String aRoid)` Sets the nameWatch roid.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPNameWatchCreateResp

          public EPPNameWatchCreateResp()

      `EPPNameWatchCreateResp` default constructor. Must call required setter methods before encode. the defaults include the following:
      - name is set to `null`
      - roid is set to `null`
      - creation date is set to `null`
      - expiration date is set to `null`
      The name, roid, and creation date must be set before invoking `encode`.

    - #### EPPNameWatchCreateResp

          public EPPNameWatchCreateResp(EPPTransId aTransId,
                                        java.lang.String aName)

      `EPPNameWatchCreateResp` constructor that takes the required attribute values as parameters.
      The roid and creation date must be set before invoking `encode`.
      Parameters:
        `aTransId` - Transaction Id associated with response.
        `aName` - NameWatch name

    - #### EPPNameWatchCreateResp

          public EPPNameWatchCreateResp(EPPTransId aTransId,
                                        java.lang.String aName,
                                        java.lang.String aRoid,
                                        java.util.Date aCreationDate)

      `EPPNameWatchCreateResp` constructor that takes the required attribute values as parameters.
      Parameters:
        `aTransId` - transaction Id associated with response.
        `aName` - NameWatch name
        `aRoid` - NameWatch roid
        `aCreationDate` - creation date of the NameWatch

    - #### EPPNameWatchCreateResp

          public EPPNameWatchCreateResp(EPPTransId aTransId,
                                        java.lang.String aName,
                                        java.lang.String aRoid,
                                        java.util.Date aCreationDate,
                                        java.util.Date aExpirationDate)

      `EPPNameWatchCreateResp` constructor that takes the required attribute values as parameters.
      Parameters:
        `aTransId` - transaction Id associated with response.
        `aName` - NameWatch name
        `aRoid` - NameWatch roid
        `aCreationDate` - creation date of the NameWatch
        `aExpirationDate` - expiration date of the NameWatch

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Gets the EPP command type associated with `EPPNameWatchCreateResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        EPPNameWatchCreateResp.ELM_NAME

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPNameWatchCreateResp`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPNameWatchMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPNameWatchCreateResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPNameWatchCreateResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPNameWatchCreateResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getName

          public java.lang.String getName()

      Gets the nameWatch name
      Returns:
        NameWatch Name

    - #### setName

          public void setName(java.lang.String aName)

      Sets the nameWatch name.
      Parameters:
        `aName` - NameWatch Name

    - #### getRoid

          public java.lang.String getRoid()

      Gets the nameWatch roid
      Returns:
        NameWatch roid.

    - #### setRoid

          public void setRoid(java.lang.String aRoid)

      Sets the nameWatch roid.
      Parameters:
        `aRoid` - NameWatch Roid

    - #### getCreationDate

          public java.util.Date getCreationDate()

      Get creation date.
      Returns:
        Creation date and time of the nameWatch

    - #### setCreationDate

          public void setCreationDate(java.util.Date newCrDate)

      Set creation date.
      Parameters:
        `newCrDate` - Creation date and time of the nameWatch

    - #### getExpirationDate

          public java.util.Date getExpirationDate()

      Gets the expiration date and time of the nameWatch.
      Returns:
        Expiration date and time of the nameWatch if defined; `null` otherwise.

    - #### setExpirationDate

          public void setExpirationDate(java.util.Date aExpirationDate)

      Sets the expiration date and time of the nameWatch.
      Parameters:
        `aExpirationDate` - Expiration date and time of the nameWatch.

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPNameWatchCreateResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPNameWatchCreateResp` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPNameWatchCreateResp` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPNameWatchCreateResp` attributes from the `aElement` DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPNameWatchCreateResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode `aElement`